%global packname bslib
%global packver  0.2.4
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.2.4
Release:          4%{?dist}
Summary:          Custom Bootstrap Sass Themes for shiny and rmarkdown

# Main: MIT
# Bootstrap libraries:
# * bootstrap: MIT
# * bootstrap-sass: MIT
# * bootstrap-colorpicker: MIT
# * bootstrap-accessibility-plugin: BSD
# * bootswatch: MIT
License:          MIT and BSD
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-grDevices, R-htmltools >= 0.5.1, R-jsonlite, R-sass >= 0.3.0, R-digest >= 0.6.25, R-jquerylib >= 0.1.3, R-rlang, R-magrittr
# Suggests:  R-shiny, R-rmarkdown, R-knitr, R-testthat, R-withr, R-rappdirs, R-curl
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-grDevices
BuildRequires:    R-htmltools >= 0.5.1
BuildRequires:    R-jsonlite
BuildRequires:    R-sass >= 0.3.0
BuildRequires:    R-digest >= 0.6.25
BuildRequires:    R-jquerylib >= 0.1.3
BuildRequires:    R-rlang
BuildRequires:    R-magrittr
BuildRequires:    R-shiny
BuildRequires:    R-rmarkdown
BuildRequires:    R-knitr
BuildRequires:    R-testthat
BuildRequires:    R-withr
BuildRequires:    R-rappdirs
BuildRequires:    R-curl

%description
Simplifies custom CSS styling of both shiny and rmarkdown via Bootstrap Sass.
Supports both Bootstrap 3 and 4 as well as their various Bootswatch themes. An
interactive widget is also provided for previewing themes in real time.


%prep
%setup -q -c -n %{packname}

# Fix executable bits.
chmod -x %{packname}/inst/lib/bsw/dist/*/_variables.scss


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

install -p %{packname}/LICENSE.note %{buildroot}%{rlibdir}/%{packname}/


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%license %{rlibdir}/%{packname}/LICENSE.note
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/bs3compat
%{rlibdir}/%{packname}/css-precompiled
%{rlibdir}/%{packname}/custom
%{rlibdir}/%{packname}/fonts
%dir %{rlibdir}/%{packname}/lib
%dir %{rlibdir}/%{packname}/lib/bs
%doc %{rlibdir}/%{packname}/lib/bs/README.md
%license %{rlibdir}/%{packname}/lib/bs/LICENSE
%{rlibdir}/%{packname}/lib/bs/dist/
%{rlibdir}/%{packname}/lib/bs/package.json
%{rlibdir}/%{packname}/lib/bs/scss/
%dir %{rlibdir}/%{packname}/lib/bsw
%doc %{rlibdir}/%{packname}/lib/bsw/README.md
%license %{rlibdir}/%{packname}/lib/bsw/LICENSE
%{rlibdir}/%{packname}/lib/bsw/dist/
%{rlibdir}/%{packname}/lib/bsw/package.json
%dir %{rlibdir}/%{packname}/lib/bsw3
%doc %{rlibdir}/%{packname}/lib/bsw3/README.md
%license %{rlibdir}/%{packname}/lib/bsw3/LICENSE
%{rlibdir}/%{packname}/lib/bsw3/cerulean/
%{rlibdir}/%{packname}/lib/bsw3/cosmo/
%{rlibdir}/%{packname}/lib/bsw3/cyborg/
%{rlibdir}/%{packname}/lib/bsw3/darkly/
%{rlibdir}/%{packname}/lib/bsw3/flatly/
%{rlibdir}/%{packname}/lib/bsw3/journal/
%{rlibdir}/%{packname}/lib/bsw3/lumen/
%{rlibdir}/%{packname}/lib/bsw3/paper/
%{rlibdir}/%{packname}/lib/bsw3/readable/
%{rlibdir}/%{packname}/lib/bsw3/sandstone/
%{rlibdir}/%{packname}/lib/bsw3/simplex/
%{rlibdir}/%{packname}/lib/bsw3/slate/
%{rlibdir}/%{packname}/lib/bsw3/spacelab/
%{rlibdir}/%{packname}/lib/bsw3/superhero/
%{rlibdir}/%{packname}/lib/bsw3/united/
%{rlibdir}/%{packname}/lib/bsw3/yeti/
%{rlibdir}/%{packname}/lib/bsw3/package.json
%dir %{rlibdir}/%{packname}/lib/bs-a11y-p
%license %{rlibdir}/%{packname}/lib/bs-a11y-p/LICENSE.md
%{rlibdir}/%{packname}/lib/bs-a11y-p/package.json
%{rlibdir}/%{packname}/lib/bs-a11y-p/plugins/
%{rlibdir}/%{packname}/lib/bs-a11y-p/src/
%dir %{rlibdir}/%{packname}/lib/bs-colorpicker
%doc %{rlibdir}/%{packname}/lib/bs-colorpicker/README.md
%license %{rlibdir}/%{packname}/lib/bs-colorpicker/LICENSE
%{rlibdir}/%{packname}/lib/bs-colorpicker/css/
%{rlibdir}/%{packname}/lib/bs-colorpicker/js/
%{rlibdir}/%{packname}/lib/bs-colorpicker/package.json
%dir %{rlibdir}/%{packname}/lib/bs-sass
%doc %{rlibdir}/%{packname}/lib/bs-sass/CHANGELOG.md
%doc %{rlibdir}/%{packname}/lib/bs-sass/README.md
%license %{rlibdir}/%{packname}/lib/bs-sass/LICENSE
%{rlibdir}/%{packname}/lib/bs-sass/assets/
%{rlibdir}/%{packname}/lib/bs-sass/eyeglass-exports.js
%{rlibdir}/%{packname}/lib/bs-sass/package.json
%{rlibdir}/%{packname}/package.json
%{rlibdir}/%{packname}/sass-utils
%{rlibdir}/%{packname}/themer-demo
%{rlibdir}/%{packname}/themer
%{rlibdir}/%{packname}/yarn.lock


%changelog
* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.4-3
- Rebuild for R 4.1

* Sun May 09 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.4-2
- Add explicit license breakdown

* Sun Apr 25 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.4-1
- initial package for Fedora
